diff --git a/Control/AthenaCommon/share/ThinCAWrapper.sh b/Control/AthenaCommon/share/ThinCAWrapper.sh
index 83c1c43fd63fef487287e45d73d638349bb6cafe..07ac06c05467c278454e245bab76e9726dd5e879 100755
--- a/Control/AthenaCommon/share/ThinCAWrapper.sh
+++ b/Control/AthenaCommon/share/ThinCAWrapper.sh
@@ -28,7 +28,7 @@ done
 
 #Check if we got a top-level script 
 #Improve: Check if there is exactly one!
-if [ -z ${topscriptfile} ]
+if [ -z "$topscriptfile" ]
     then
     echo "ERROR: No top-level python script given"
     exit 1
@@ -60,7 +60,7 @@ do
 done
 
 
-if [[ -z $topscript  ]];
+if [ -z "$topscript" ];
     then
     echo "Could not find python script $topscriptfile"
     exit 1
@@ -68,6 +68,7 @@ fi
 
 #Finally: Execute it! 
 python $topscript $scriptargs
-
-
-
+status=$?
+if [ ! $status -eq 0 ]; then
+    exit $status
+fi